Subject: [PATCH 3/3] ARM: dts: omap4-sdp: add dynamic pin states for uart3/4

From: [email-masked] (Tony Lindgren)
Date: Thu, 18 Jul 2013 02:04:08 -0700

* Grygorii Strashko <[email-masked]> [130718 02:01]:
> On 07/18/2013 11:09 AM, Tony Lindgren wrote:
> 
> Don't think it's debug code - IO chain need to be rearmed after each
> PRCM IO IRQ - otherwise IO wakeup events may be lost (at least on
> OMAP4, OMAP5 requires more complex handling(( ).

Nope, only after the mux register changes. I've verified it on
am3730 with off-idle for both serial and wl12xx.
 
> I didn't pick up your padconf patches yet -seems i need to be in sync :)

Well you need those for proper wake-up event support..

> Below the diff I used to verify IO wake up (It follows old IO daisy
> chain hanlding models in hwmod before DT):

..then these changes not needed with the pinctrl-single changes.

Regards,

Tony